# 
# Login environment variable settings for Oracle
# Set environment for user Oracle *ONLY*
# 

if ( `id -un` == "oracle" ) then

  #
  # The configuration file /etc/sysconfig/oracle is Bourne shell syntax
  # so we create C shell syntax from it and then read in the variables.
  #
  grep -v '^#' oracle | sed '/^$/ d' | sed 's/=/ /' | sed 's/^/setenv /' >
  /tmp/oracle-$$.csh
  source /tmp/oracle-$$.csh
  rm -f /tmp/oracle-$$.csh
  setenv ORACLE_SID mydb

  
  setenv ORACLE_BASE /opt/oracle
  setenv ORACLE_HOME ${ORACLE_BASE}/product/9ir2
  
  setenv TNS_ADMIN ${ORACLE_HOME}/network/admin
  setenv ORA_NLS33 ${ORACLE_HOME}/ocommon/nls/admin/data
  setenv PATH ${PATH}:${ORACLE_HOME}/bin
  setenv CLASSPATH ${ORACLE_HOME}/JRE:${ORACLE_HOME}/jlib:${ORACLE_HOME}/rdbms/jlib:${ORACLE_HOME}/network/jlib
  if ( ${?LD_LIBRARY_PATH} ) then
      setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:${ORACLE_HOME}/lib
  else
      setenv LD_LIBRARY_PATH ${ORACLE_HOME}/lib
  endif
  
  # setenv ORACLE_TERM xterm
  # setenv NLS_LANG AMERICAN_AMERICA.UTF8

  
  # Set ulimits:
  #
  # We suppress any warning messages, so if the hard limits have not been
  # increased by root and the commands don't work we keep silent... 
  # This is because the only one who needs it is the shell that starts
  # the DB server processes, and the number of warning messages created 
  # here is potentially way too much and confusing

  # core dump file size
#  limit coredumpsize 4194303

  # max number of processes for user
#  limit maxproc 16384

  # max number of open files for user
#  limit openfiles 65536

  # If /lib/i686 exists, set LD_ASSUME_KERNEL to not use the
  # floating stack version. If you set this without this directory,
  # nothing will work anymore.
  test -d /lib/i686 && setenv LD_ASSUME_KERNEL 2.2.5
endif

